/* OpenVAS-Client
 * $Id$
 * Description: Header file for the ssh keys dialog.
 *
 * Authors:
 * Felix Wolfsteller <felix.wolfsteller@intevation.de>
 *
 * Copyright:
 * Copyright (C) 2009 Greenbone Networks GmbH
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2,
 * or, at your option, any later version as published by the Free
 * Software Foundation
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef SSH_KEY_INFO_FORM_H__
#define SSH_KEY_INFO_FORM_H__
#include <gtk/gtk.h>
#ifdef LIBOPENVAS_OLD_INCLUDE_PATH
#include "openvas_ssh_login.h"
#else
#include <openvas/misc/openvas_ssh_login.h>
#endif

/**
 * Widgets to display or input ssh login information.
 * @see Initialization with ssh_login_form_create.
 */
typedef struct {
  GtkWidget* name;
  GtkWidget* box;
  GtkWidget* username;
  GtkWidget* userpassword;
  GtkWidget* public_key_path;
  GtkWidget* private_key_path;
  GtkWidget* ssh_key_passphrase;
  GtkWidget* comment;
  GtkWidget* rpm_location;
  GtkWidget* deb_location;
  GtkWidget* exe_location;
} ssh_key_info_form;

ssh_key_info_form* ssh_key_info_form_create();

void ssh_key_info_form_free(ssh_key_info_form* form);

void ssh_key_info_form_fill(ssh_key_info_form* form, openvas_ssh_login* loginfo);

gboolean ssh_key_info_form_validated(ssh_key_info_form* form);

openvas_ssh_login* ssh_key_info_form_produce_login(ssh_key_info_form* form);


#endif
